> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-payment/implement-nfc-payment/manage-digital-card/review-card-lcm.md).

# Review card LCM

### Overview

Using the D1 backend API, the issuer can [suspend](/nfc-payment/integrate-the-d1-api/d1-api-reference/inbound-api-to-d1/card-api.md#post-v2-issuers-issuerid-cards-cardid-operations-suspend), [resume](/nfc-payment/integrate-the-d1-api/d1-api-reference/inbound-api-to-d1/card-api.md#post-v2-issuers-issuerid-cards-cardid-operations-resume), and [delete](/nfc-payment/integrate-the-d1-api/d1-api-reference/inbound-api-to-d1/card-api.md#post-v2-issuers-issuerid-cards-cardid-operations-delete) cards:

* Card suspension or resumption has no effect on NFC Payment digital cards.

  For example, the end user can still pay with a digital card even if the physical card is suspended because it was lost.
* Card deletion deletes all the related digital cards in NFC Payment.

The next section explains how to handle card renewal.

### Card renewal

Cards can be renewed when they expire or replaced if they are lost or stolen.

To display the correct card metadata, the issuer backend must send a [renew](https://thales-dis-dbp.stoplight.io/docs/d1-api-public/0faa18fed5b85-renew) or [replace](/nfc-payment/integrate-the-d1-api/d1-api-reference/inbound-api-to-d1/card-api.md#post-v2-issuers-issuerid-cards-cardid-operations-replace) request to D1. If the request does not include encrypted card details, D1 calls the issuer backend through the [Get Card Credentials](/nfc-payment/integrate-the-d1-api/d1-api-reference/outbound-api-from-d1/card-api.md#get-cms-api-v1-issuers-issuerid-cards-cardid-credentials) API to retrieve the new card details.

If the renew operation updates the card ID, the issuer application should call one of the following APIs after it receives a [`PushResponseKey.TYPE_CARD_RENEWAL`](https://thales-dis-dbp.stoplight.io/docs/d1-developer-portal/tx0ctsp29oo0v) message:

* `D1PayWallet.getDigitalCardList`
* `D1PayWallet.getDigitalCard`
* `D1PayWallet.getCardDigitizationState`

{% hint style="info" %}
Call `D1Task.login` before you call any of the APIs listed above.
{% endhint %}

In the background, card ID resynchronization starts automatically when all of the following conditions are met:

* The end user is logged in.
* The card renewal process completed successfully.
* There is no ongoing contactless payment.
* There is at least one digital card in the wallet.
* The card renewal happened after the last resynchronization.
* The last resynchronization happened more than 30 minutes ago.

If any of these conditions is not met, card ID resynchronization is skipped.

If `D1PayWallet.getDigitalCard` or `D1PayWallet.getCardDigitizationState` is called with the old card ID after a successful card ID resynchronization, the API may return `D1Exception.ErrorCode.ERROR_CARD_NOT_FOUND`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-payment/implement-nfc-payment/manage-digital-card/review-card-lcm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
